import AMapLoader from '@amap/amap-jsapi-loader';
import { merge } from 'lodash-es';

const DEFAULT_AMP_CONFIG = {
  "key": "",
  "version": "2.0",
  "plugins": [],
  "Loca": {
    "version": "2.0.0"
  },
  serviceHost: "",
  securityJsCode: ""
};
function AMapAPILoader(config = {}) {
  config = merge({}, DEFAULT_AMP_CONFIG, config);
  if (config.serviceHost) {
    window._AMapSecurityConfig = {
      serviceHost: config.serviceHost
    };
  } else if (config.securityJsCode) {
    window._AMapSecurityConfig = {
      securityJsCode: config.securityJsCode
    };
  }
  return AMapLoader.load(config);
}

export { AMapAPILoader as default };
//# sourceMappingURL=amap-api-loader.mjs.map
